summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomas Mozes <hydrapolic@gmail.com>2019-03-06 18:54:06 -0800
committerZac Medico <zmedico@gentoo.org>2019-03-06 19:32:32 -0800
commite6db1873022e16ad81f59871c24282fea25bccc0 (patch)
tree99ec8cff6c57ec9e451fea3130e1d5350e563920 /app-admin
parentapp-admin/mongo-tools: fix GOROOT for 17.1 profiles (diff)
downloadgentoo-e6db1873022e16ad81f59871c24282fea25bccc0.tar.gz
gentoo-e6db1873022e16ad81f59871c24282fea25bccc0.tar.bz2
gentoo-e6db1873022e16ad81f59871c24282fea25bccc0.zip
app-admin/mongo-tools: allow building with dev-lang/go-1.12
Closes: https://github.com/gentoo/gentoo/pull/11279 Bug: https://bugs.gentoo.org/678924 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Signed-off-by: Zac Medico <zmedico@gentoo.org>
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/mongo-tools/mongo-tools-4.0.6.ebuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/app-admin/mongo-tools/mongo-tools-4.0.6.ebuild b/app-admin/mongo-tools/mongo-tools-4.0.6.ebuild
index 7600d4a67e5..092d770686f 100644
--- a/app-admin/mongo-tools/mongo-tools-4.0.6.ebuild
+++ b/app-admin/mongo-tools/mongo-tools-4.0.6.ebuild
@@ -15,7 +15,7 @@ SLOT="0"
KEYWORDS="~amd64"
IUSE="sasl ssl"
-DEPEND="<dev-lang/go-1.12:=
+DEPEND="dev-lang/go:=
net-libs/libpcap
sasl? ( dev-libs/cyrus-sasl )
ssl? ( dev-libs/openssl:0= )"
@@ -32,6 +32,13 @@ src_unpack() {
mv ${MY_P} "${S}" || die
}
+src_prepare() {
+ default
+
+ # allow building with go 1.12 #678924
+ sed -i 's/_Ctype_struct_/C.struct_/' vendor/github.com/google/gopacket/pcap/pcap.go || die
+}
+
src_compile() {
local myconf=()